<?php
require_once("config.inc.php");

function rechte_vergabe($imtuid, $roid){
global $db;
  $db = dbconnect();
  
  $result_roid = $db->query("SELECT count(*) Anz
                                FROM imt_rollen_user_zuord
                               WHERE imtuid = '$imtuid'
                                 AND roid = '$roid'");
  $row_roid = $result_roid->fetch_array();

  if($row_roid[Anz] == 0){
    $sql_mail_einstell = $db->query("INSERT INTO imt_rollen_user_zuord (roid, imtuid) VALUES ('$roid', '$imtuid')");
  }
  
 /*
 WICHTIG, die Rechte müssen teilweise wieder entzogen werden, wenn Sie nicht mehr gebraucht werden, also, 
 wenn z.B alle Beteiligungen abgeschlossen sind beim Benutzer (Status 7 oder 8)
 
 */
}

?>